<mat-toolbar>Signos</mat-toolbar>

<router-outlet ></router-outlet>

<div class="example-container mat-elevation-z8" *ngIf="route.children.length === 0">    

    <div class="example-header">
        <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Buscar Signos">
        </mat-form-field>
    </div>

    <mat-table [dataSource]="dataSource" matSort>
        
        <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.idSigno}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="paciente">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Paciente </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.paciente.nombres}} {{row.paciente.apellidos}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="fecha">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Fecha </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.fecha | date:'dd-MM-yyyy HH:mm:ss'}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="temperatura">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Temperatura </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.temperatura}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="pulso">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Pulso </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.pulso}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="ritmo">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Ritmo </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.ritmo}} </mat-cell>
        </ng-container>
       
        <ng-container matColumnDef="acciones">
            <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
            <mat-cell *matCellDef="let row">
                <button mat-button color="primary" [routerLink]="['edicion', row.idSigno]">Actualizar</button>
                <button mat-button color="accent" (click)="eliminar(row.idSigno)">Eliminar</button>
            </mat-cell>
        </ng-container>
    
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;">
        </mat-row>
    </mat-table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
</div>

 
<button mat-fab  color="accent" style="float: right; margin-right: 20px" routerLink='/signos/nuevo' >
    <mat-icon>create</mat-icon>
</button>
 